Bug 1575218 - [abrt] radeon_dp_get_dp_link_config: WARNING: CPU: 1 PID: 1160 at drivers/gpu/drm/drm_dp_helper.c:157 drm_dp_bw_code_to_link_rate+0x3e/0x50 [drm_kms_helper] [radeon] [NEEDINFO]
Summary: [abrt] radeon_dp_get_dp_link_config: WARNING: CPU: 1 PID: 1160 at drivers/gpu...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:461de8476192755d8b9f559f634...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 07:31 UTC by adam.pietrzyk93@gmail.com
Modified: 2018-08-29 15:10 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:10:18 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (154.58 KB, text/plain)
2018-05-05 07:31 UTC, adam.pietrzyk93@gmail.com
no flags Details

Description adam.pietrzyk93@gmail.com 2018-05-05 07:31:07 UTC
Description of problem:
The following problem is reported by the problem manager but the only problem that is seen is that for some time there is no video output on the external screen connected by the display port.
The used video card is AMD FirePro M2000.

To be noted:

I dont know if there is a connection between these facts, but I had to reinstall Fedora 28 with cinnamon desktop recently because Cinnamon was not able to start properly after booting. It was always crashing and going to failsafe mode. After the reinstallation the problem is not occuring.

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 1 PID: 1160 at drivers/gpu/drm/drm_dp_helper.c:157 drm_dp_bw_code_to_link_rate+0x3e/0x50 [drm_kms_helper]
Modules linked in: ccm rfcomm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm iTCO_wdt mei_wdt iTCO_vendor_support ppdev wmi_bmof hp_wmi irqbypass sparse_keymap crct10dif_pclmul crc32_pclmul btusb btrtl btbcm btintel ghash_clmulni_intel intel_cstate intel_uncore bluetooth intel_rapl_perf arc4 iwldvm mac80211 ecdh_generic snd_hda_codec_idt uvcvideo snd_hda_codec_generic
 snd_hda_codec_hdmi videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hda_intel videobuf2_common videodev snd_hda_codec iwlwifi snd_hda_core joydev snd_hwdep tpm_infineon media snd_seq cfg80211 snd_seq_device snd_pcm mei_me snd_timer snd mei rfkill lpc_ich shpchp soundcore parport_pc tpm_tis wmi tpm_tis_core parport tpm hp_accel lis3lv02d video input_polldev hp_wireless radeon i2c_algo_bit drm_kms_helper crc32c_intel ttm e1000e drm serio_raw sdhci_pci cqhci sdhci firewire_ohci firewire_core mmc_core ptp crc_itu_t pps_core
CPU: 1 PID: 1160 Comm: Xorg Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 8470w/179B, BIOS 68ICF Ver. F.68 07/13/2017
RIP: 0010:drm_dp_bw_code_to_link_rate+0x3e/0x50 [drm_kms_helper]
RSP: 0018:ffffb02842493b50 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8f8de75a5000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8f8dfdc568f0
RBP: ffff8f8deb554100 R08: 0000000000000038 R09: 00000000000003fb
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8f8de75a5000
R13: 0000000000000018 R14: 0000000000006257 R15: ffff8f8de8a806c4
FS:  00007f5b2c50dac0(0000) GS:ffff8f8dfdc40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000000000188ad00 CR3: 00000003140ea005 CR4: 00000000001606e0
Call Trace:
 radeon_dp_get_dp_link_config+0x43/0x150 [radeon]
 radeon_dp_mode_valid_helper+0x4d/0xa0 [radeon]
 drm_helper_probe_single_connector_modes+0x4b3/0x6d0 [drm_kms_helper]
 drm_mode_getconnector+0x2e5/0x310 [drm]
 ? drm_mode_connector_property_set_ioctl+0x60/0x60 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_connector_property_set_ioctl+0x60/0x60 [drm]
 radeon_drm_ioctl+0x49/0x80 [radeon]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 08 00 40 80 ff 14 74 2e b8 d0 78 02 00 40 80 ff 06 74 23 48 83 ec 08 40 0f b6 f7 48 c7 c7 98 ab 54 c0 89 44 24 04 e8 5c 34 b7 c1 <0f> 0b 8b 44 24 04 48 83 c4 08 c3 c3 66 0f 1f 44 00 00 0f 1f 44

Comment 1 adam.pietrzyk93@gmail.com 2018-05-05 07:31:23 UTC
Created attachment 1431835 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 15:03:21 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:10:18 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.